local settings = require 'setup.settings'

TitleScreen = {}
-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function TitleScreen:init()

end

function TitleScreen:enter()

end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function TitleScreen:update(dt)

end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function TitleScreen:draw()
  local str = 'SNAKE ROY\n\n\nPress Space to start'
  local x, y = 0, 64
  local limit = settings.pxWidth
  local align = 'center'

  lg.setCanvas(TINYCANVAS)
  lg.clear({38, 43, 68})
  lg.setColor({255,255,255})

  lg.printf(str, x, y, limit, align)

  lg.setCanvas()
  lg.draw(TINYCANVAS, 0, 0, 0, 2, 2)
end


-----------------------------------------------------------
-- Input functions
-----------------------------------------------------------

function TitleScreen:keypressed(key, code)
  if key == 'return' or key == 'space' then
    Gamestate.transition(InstructionScreen)
  end
end
