# Dwarf Dungeon Roguelike

Look to Dungeon of Flowers for guidance.

## Using

- [Love2d](https://love2d.org/)
- [HUMP](https://github.com/vrld/hump)
- [Lua FOV](https://github.com/markandgo/Lua-FOV)
- [JSON4Lua](https://github.com/craigmj/json4lua)
- [lume](https://github.com/rxi/lume)
- [autobatch](https://github.com/rxi/autobatch)


## Org ideas

- try to keep game state file clean, put functions in Map, MapManager, EntityManager, etc
- use inheritance!
- use multiple "screens"
  - screens contain canvases
  - screens can be resized
  - screens draw to the main canvas
- screen examples: map, ui, dialog box, effect, etc

## Level ideas

overworld, farm, barracks, market, residential, mining, minecart, forge, storage, lava, lava forge, underground lake, general caves

wandering merchants

## UI ideas

- fluid layout: should be playable on desktop or mobile with same app
- touch based-movement like pixel dungeon, but probably arrow keys like Caves of Qud on mobile, too
- list of foes like brogue?
- see notebook 1, page 70 for reference sketches
