local Corpse = Class{__includes = require 'modules.entity'}

-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function Corpse:init(x,y)
  self.pos = Vector(x,y)

  self.w = 8
  self.h = 8
  self.quad = lg.newQuad(104, 16, 8, 8, SPRITESHEET:getDimensions())
  self.zIndex = 2

  self.flammability = 0.1
  self.isMobile = false
end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
-- function Corpse:update(dt)
--
-- end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function Corpse:draw()
  local x, y = self.pos:unpack()
  lg.draw(SPRITESHEET, self.quad, x, y)
end

-----------------------------------------------------------
-- Gameplay functions
-----------------------------------------------------------


return Corpse
