local Water = Class{__includes = require 'modules.entity'}

-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function Water:init(x,y)
  self.pos = Vector(x,y)

  self.w = 8
  self.h = 8
  self.quad = lg.newQuad(64, 0, 8, 8, SPRITESHEET:getDimensions())
  self.zIndex = 1
  self.flammability = 0

  Game.world:add(self, self.pos.x, self.pos.y, self.w, self.h)
end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function Water:update(dt)

end
-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function Water:draw()
  local x, y = self.pos:unpack()
  lg.draw(SPRITESHEET, self.quad, x, y)
end

-----------------------------------------------------------
-- Gameplay functions
-----------------------------------------------------------


return Water
