local settings = require 'setup.settings'

Victory = {}
-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function Victory:init()
  self.strings = {}
  self.strings[1] = [[
Thus did KING ROY defeat the EVIL WIZARD and reclaim his rightful throne.

He ruled the rest of his days with a just but firm claw, immolating all who stood against him.

[Press Space to continue]
]]
  self.strings[2] =[[
CREDITS

Art and code by Neil Knauth
neilmakesgames.tumblr.com

]]

end

function Victory:enter()
    self.currentString = 1
end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function Victory:update(dt)

end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function Victory:draw()
  local str = self.strings[self.currentString]
  local x, y = 0, 8
  local limit = settings.pxWidth
  local align = 'center'

  lg.setCanvas(TINYCANVAS)
  lg.clear({38, 43, 68})
  lg.setColor({255,255,255})

  lg.printf(str, x, y, limit, align)

  lg.setCanvas()
  lg.draw(TINYCANVAS, 0, 0, 0, 2, 2)
end


-----------------------------------------------------------
-- Input functions
-----------------------------------------------------------

function Victory:keypressed(key, code)
  if key == 'return' or key == 'space' then
    self.currentString = self.currentString + 1

    if self.currentString > #self.strings then
      self.currentString = self.currentString - 1
      Gamestate.switch(Title)
    end
  end
end
